#ifndef DiscAnalysis_h
#define DiscAnalysis_h

#include <string>
#include <vector>

class Event;
class EventDiscriminatorRead;
class TH1F;

class DiscAnalysis {

 public:

  DiscAnalysis();
  // deleted copy constructor and assignment to prevent unadvertent copy
  DiscAnalysis           ( const DiscAnalysis& x ) = delete;
  DiscAnalysis& operator=( const DiscAnalysis& x ) = delete;

  ~DiscAnalysis();

  void init( const std::string& name );
  void analyze( const Event& ev ); // analyze a new event
  void save( const std::string& name );

 private:

  // discriminator object and histogram
  struct DiscPlot {
    EventDiscriminatorRead* disc;
    TH1F*                   hSig;
    TH1F*                   hBkg;
  };
  std::vector<DiscPlot*> dPlot;

  // create discriminator objects and histograms
  void dCreate( int id, const std::string& vars, const std::string& name );
  void fill( DiscPlot* dp, const Event& ev, float dv );

};

#endif

