#include "EventDiscriminatorRead.h"
#include "EventDiscVar.h"

EventDiscriminatorRead::EventDiscriminatorRead( const
                        EventDiscriminatorRead* ed ) {
  setVars( ed == nullptr ? new EventDiscVar : ed->evDV );
}


EventDiscriminatorRead::~EventDiscriminatorRead() {
}


// compute discriminating variable for an event
float EventDiscriminatorRead::get() {
  // forward call to generic discriminator
  return DiscriminatorRead::get();
}


float EventDiscriminatorRead::get( const Event& ev ) {
  // compute event variables
  evDV->compute( ev );
  // forward call to generic discriminator
  return DiscriminatorRead::get();
}

